linear-1.20.3: Linear Algebra

Copyright | (C) 2012-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | Trustworthy
Language | Haskell98

Linear.V0

Description

0-D Vectors

Synopsis

- data V0 a = V0

# Documentation

data V0 a Source

A 0-dimensional vector

    >>> pure 1 :: V0 Int
    V0

    >>> V0 + V0
    V0

Constructors

V0 |

Instances

Monad V0 Source |
Functor V0 Source |
MonadFix V0 Source |
Applicative V0 Source |
Foldable V0 Source |
Traversable V0 Source |
Generic1 V0 Source |
Distributive V0 Source |
Representable V0 Source |
MonadZip V0 Source |
Serial1 V0 Source |
Apply V0 Source |
Bind V0 Source |
Eq1 V0 Source |
Ord1 V0 Source |
Read1 V0 Source |
Show1 V0 Source |
Additive V0 Source |
Metric V0 Source |
Trace V0 Source |
Affine V0 Source |
Vector Vector (V0 a) Source |
MVector MVector (V0 a) Source |
Num r => Coalgebra r (E V0) Source |
Num r => Algebra r (E V0) Source |
Bounded (V0 a) Source |
Enum (V0 a) Source |
Eq (V0 a) Source |
Floating (V0 a) Source |
Fractional (V0 a) Source |
Data a => Data (V0 a) Source |
Num (V0 a) Source |
Ord (V0 a) Source |
Read (V0 a) Source |
Show (V0 a) Source |
Ix (V0 a) Source |
Generic (V0 a) Source |
Storable a => Storable (V0 a) Source |
Binary (V0 a) Source |
Serial (V0 a) Source |
Serialize (V0 a) Source |
NFData (V0 a) Source |
Hashable (V0 a) Source |
Unbox (V0 a) Source |
Ixed (V0 a) Source |
Epsilon a => Epsilon (V0 a) Source |
FunctorWithIndex (E V0) V0 Source |
FoldableWithIndex (E V0) V0 Source |
TraversableWithIndex (E V0) V0 Source |
Each (V0 a) (V0 b) a b Source |
type Rep1 V0 Source |
type Rep V0 = E V0 Source |
type Diff V0 = V0 Source |
data MVector s (V0 a) = MV_V0 Int Source |
type Rep (V0 a) Source |
data Vector (V0 a) = V_V0 Int Source |
type Index (V0 a) = E V0 Source |
type IxValue (V0 a) = a Source |